// caballo.h - Declaración de la clase CCaballo.
//             Un objeto CCaballo es un hilo.
#if !defined( _CABALLO_H_ )
#define _CABALLO_H_

#include "tablon.h"
#include "hilo.h"
using namespace std;

class CCaballo : public CHilo
{
  private:
    CTablon *m_tablon;  // acceso al marcador del tablón
    int m_dorsal;              // número del caballo
  public:
    CCaballo(CTablon *t = 0, int dor = 0);
    void asignarTablon(CTablon *t) { m_tablon = t; }
    void asignarDorsal(int dor) { m_dorsal = dor; }
    void *fnHilo();
};

#endif // _CABALLO_H_

